Bug 151954 - [patch] Mk/*.mk: remove emacs mode, -*- mode: ...; -*-
Summary: [patch] Mk/*.mk: remove emacs mode, -*- mode: ...; -*-
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-05 02:10 UTC by swell.k
Modified: 2012-05-23 09:20 UTC (History)
0 users

See Also:


Attachments
a.diff (16.16 KB, patch)
2010-11-05 02:10 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2010-11-05 02:10:10 UTC
Let emacs recognize mode automatically via auto-mode-alist.
If such a mode is broken it can be disabled in user-init file,
no need to spam file-local variables.

files that do NOT force any mode:

    $ fgrep -Lr -- -\*- Mk/
    Mk/bsd.cran.mk
    Mk/bsd.efl.mk
    Mk/bsd.emacs.mk
    Mk/bsd.fpc.mk
    Mk/bsd.gnustep.mk
    Mk/bsd.ocaml.mk
    Mk/bsd.openssl.mk
    Mk/bsd.php.mk
    Mk/bsd.port.post.mk
    Mk/bsd.port.pre.mk
    Mk/bsd.ruby.mk
    Mk/bsd.sites.mk
    Mk/bsd.xfce.mk

files that force `Fundamental' mode:

    $ fgrep -ir fundamental Mk/
    Mk/bsd.commands.mk
    Mk/bsd.gcc.mk
    Mk/bsd.gecko.mk
    Mk/bsd.gnome.mk
    Mk/bsd.gstreamer.mk
    Mk/bsd.java.mk
    Mk/bsd.mail.mk
    Mk/bsd.port.options.mk
    Mk/bsd.sdl.mk
    Mk/bsd.xorg.mk

and the rest use generic `Makefile' mode:

    $ fgrep -irl -- mode:\ makefile Mk
    Mk/bsd.apache.mk
    Mk/bsd.autotools.mk
    Mk/bsd.cmake.mk
    Mk/bsd.database.mk
    Mk/bsd.destdir.mk
    Mk/bsd.kde.mk
    Mk/bsd.kde4.mk
    Mk/bsd.ldap.mk
    Mk/bsd.licenses.db.mk
    Mk/bsd.licenses.mk
    Mk/bsd.linux-apps.mk
    Mk/bsd.linux-rpm.mk
    Mk/bsd.local.mk
    Mk/bsd.lua.mk
    Mk/bsd.octave.mk
    Mk/bsd.perl.mk
    Mk/bsd.port.mk
    Mk/bsd.port.subdir.mk
    Mk/bsd.python.mk
    Mk/bsd.qt.mk
    Mk/bsd.scons.mk
    Mk/bsd.tcl.mk
    Mk/bsd.wx.mk

Fix: $ diffstat a.diff
 Mk/bsd.apache.mk              |    2 +-
[...]
 Mk/bsd.xorg.mk                |    2 +-
 Tools/scripts/patchtool.py    |    2 +-
 graphics/libGL/bsd.mesalib.mk |    2 +-
 www/horde-base/bsd.horde.mk   |    2 +-
 36 files changed, 36 insertions(+), 36 deletions(-)
How-To-Repeat: # actually used to generate the patch
$ sed -i '' 's/mode:[^;]*;[[:space:]]*//I' Mk/*.mk */*/*.mk Tools/scripts/*

# Note, files in *Buffer List* have `BSDmakefile' mode, not `Makefile' nor 'Fundamental'
$ emacs -Q Mk/*.mk
    bsd.xorg.mk          14487  BSDmakefile       Mk/bsd.xorg.mk
    bsd.xfce.mk           2311  BSDmakefile       Mk/bsd.xfce.mk
[...]
    bsd.autotools.mk     10348  BSDmakefile       Mk/bsd.autotools.mk
    bsd.apache.mk        12623  BSDmakefile       Mk/bsd.apache.mk
Comment 1 Martin Wilke freebsd_committer 2010-11-24 15:43:26 UTC
Responsible Changed
From-To: portmgr->miwi

take for next exp-run
Comment 2 dfilter service freebsd_committer 2012-05-23 09:18:05 UTC
miwi        2012-05-23 08:17:49 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.apache.mk bsd.autotools.mk 
                         bsd.cmake.mk bsd.commands.mk 
                         bsd.database.mk bsd.destdir.mk bsd.gcc.mk 
                         bsd.gecko.mk bsd.gnome.mk 
                         bsd.gstreamer.mk bsd.java.mk bsd.kde.mk 
                         bsd.kde4.mk bsd.ldap.mk 
                         bsd.licenses.db.mk bsd.licenses.mk 
                         bsd.linux-apps.mk bsd.linux-rpm.mk 
                         bsd.local.mk bsd.lua.mk bsd.mail.mk 
                         bsd.octave.mk bsd.perl.mk bsd.port.mk 
                         bsd.port.options.mk bsd.port.subdir.mk 
                         bsd.python.mk bsd.qt.mk bsd.scons.mk 
                         bsd.sdl.mk bsd.tcl.mk bsd.wx.mk 
                         bsd.xorg.mk 
  Log:
  - Remove emacs mode, -*- mode: ...; -*- [1]
  - Comments for BUILD_ and RUN_DEPENDS fail to mention alternate means to specify dependencie [2]
  - Fix make reinstall [3]
  - Trivial comment change for PORTDATA [4]
  
  PR:             151954 [1]
                  161314 [2]
                  167085 [3]
                  167465 [4]
  Submitted by:   Anonymous <swell.k@gmail.com> [1]
                  dougb@ and Chris Rees <utisoft@gmail.com> [2]
                  Garrett Cooper <yanegomi@gmail.com> [3]
                  "Bryan Drewery" <bryan@shatow.net> [4]
  Tested via:     phw
  
  Revision  Changes    Path
  1.36      +2 -2      ports/Mk/bsd.apache.mk
  1.42      +2 -2      ports/Mk/bsd.autotools.mk
  1.14      +2 -2      ports/Mk/bsd.cmake.mk
  1.11      +2 -2      ports/Mk/bsd.commands.mk
  1.75      +2 -2      ports/Mk/bsd.database.mk
  1.4       +2 -2      ports/Mk/bsd.destdir.mk
  1.64      +2 -2      ports/Mk/bsd.gcc.mk
  1.58      +2 -2      ports/Mk/bsd.gecko.mk
  1.174     +2 -2      ports/Mk/bsd.gnome.mk
  1.52      +2 -2      ports/Mk/bsd.gstreamer.mk
  1.94      +2 -2      ports/Mk/bsd.java.mk
  1.83      +2 -2      ports/Mk/bsd.kde.mk
  1.128     +2 -2      ports/Mk/bsd.kde4.mk
  1.10      +2 -2      ports/Mk/bsd.ldap.mk
  1.18      +2 -2      ports/Mk/bsd.licenses.db.mk
  1.12      +2 -2      ports/Mk/bsd.licenses.mk
  1.47      +2 -2      ports/Mk/bsd.linux-apps.mk
  1.27      +2 -2      ports/Mk/bsd.linux-rpm.mk
  1.3       +2 -2      ports/Mk/bsd.local.mk
  1.23      +2 -2      ports/Mk/bsd.lua.mk
  1.4       +2 -2      ports/Mk/bsd.mail.mk
  1.15      +2 -2      ports/Mk/bsd.octave.mk
  1.25      +2 -2      ports/Mk/bsd.perl.mk
  1.710     +16 -8     ports/Mk/bsd.port.mk
  1.3       +2 -2      ports/Mk/bsd.port.options.mk
  1.80      +2 -2      ports/Mk/bsd.port.subdir.mk
  1.144     +2 -2      ports/Mk/bsd.python.mk
  1.30      +2 -2      ports/Mk/bsd.qt.mk
  1.14      +2 -2      ports/Mk/bsd.scons.mk
  1.20      +2 -2      ports/Mk/bsd.sdl.mk
  1.12      +2 -2      ports/Mk/bsd.tcl.mk
  1.19      +2 -2      ports/Mk/bsd.wx.mk
  1.17      +2 -2      ports/Mk/bsd.xorg.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2012-05-23 09:18:20 UTC
State Changed
From-To: open->closed

Committed. Thanks!